% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Prefilter.R
\name{prefilter}
\alias{prefilter}
\title{Prefilter}
\usage{
prefilter(peak, cutint = 0, nsam = 2, minsam = 1)
}
\arguments{
\item{peak}{xcms processed dataset.}

\item{cutint}{cutoff intensity. Ion intensity below the cutoff value will be considered as noise, default value 0.}

\item{nsam}{number of samples in each experiment, default value 2. If the sample numbers are different in each
gorup, a vector can be used to input the number of samples in each group, i.e. nsam = c(0, 2, 2, 3, 3).}

\item{minsam}{minimum number of samples.The peak is considered valid only when it is at least detected in
the minimum number of samples in a group, default value 1.  A vector can be used to To control the minsam in each
group, i.e. nsam = c(1, 1, 2, 2, 1).}
}
\value{
a filtered peaklist.
}
\description{
prefiltering isotopically labeled analytes according to the experiment design.
}
\examples{
data(lcms)
explist <- prefilter(lcms[1:100, ])
}
